%define api	1.0
%define oname	gst-python

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/gstreamer-%{api}/.*\\.so

Name:		gstreamer1.0-python
Version:	1.10.3
Release:	%mkrel 1
Summary:	Python bindings for GStreamer
Group:		Development/Python
License:	LGPLv2+
URL:            http://gstreamer.freedesktop.org/
Source0:	http://gstreamer.freedesktop.org/src/gst-python/%{oname}-%{version}.tar.xz
Patch0:		gst-python-1.6.0-linking.patch
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python3)
Requires:	python3-gobject3

%description
This module contains a binding that allows GStreamer applications
to be written in Python.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
export PYTHON=%{__python3}
autoreconf -vfi
%configure2_5x \
	--disable-valgrind \
	--with-package-name='%{_vendor} %{name} package' \
	--with-package-origin='http://www.%{_real_vendor}.org/'
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS NEWS README
%{_libdir}/gstreamer-%{api}/libgstpythonplugin.*.so
%{python3_sitearch}/gi/overrides/*


%changelog
* Fri Feb 10 2017 ns80 <ns80> 1.10.3-1.mga6
+ Revision: 1085496
- new version 1.10.3

* Sun Jan 15 2017 wally <wally> 1.10.2-1.mga6
+ Revision: 1081800
- new version 1.10.2

* Fri Aug 19 2016 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 1047098
- 1.8.3

* Fri Jun 10 2016 luigiwalser <luigiwalser> 1.8.2-1.mga6
+ Revision: 1021006
- 1.8.2

* Mon May 09 2016 luigiwalser <luigiwalser> 1.8.1-1.mga6
+ Revision: 1011419
- 1.8.1

* Thu Apr 28 2016 daviddavid <daviddavid> 1.8.0-2.mga6
+ Revision: 1007034
- use new python macros

* Fri Mar 25 2016 wally <wally> 1.8.0-1.mga6
+ Revision: 995256
- new version 1.8.0
- add pkg origin information

* Sat Mar 19 2016 wally <wally> 1.7.91-1.mga6
+ Revision: 992936
- new version 1.7.91

* Sat Mar 05 2016 wally <wally> 1.7.90-1.mga6
+ Revision: 985957
- new version 1.7.90

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.6.2-1.mga6
+ Revision: 918900
- 1.6.2

* Sat Oct 10 2015 wally <wally> 1.6.0-1.mga6
+ Revision: 889237
- new version 1.6.0
- rediff linking patch

* Wed Oct 07 2015 ovitters <ovitters> 1.4.0-2.mga6
+ Revision: 887195
- rebuild for new python3

* Tue Nov 18 2014 wally <wally> 1.4.0-1.mga5
+ Revision: 797772
- new version 1.4.0
- switch to python3
- exclude .so from provides

* Wed Oct 15 2014 umeabot <umeabot> 1.3.90-2.mga5
+ Revision: 748556
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 wally <wally> 1.3.90-1.mga5
+ Revision: 733846
- new version 1.3.90
- add patch to fix linking

* Sat Sep 27 2014 tv <tv> 1.2.1-3.mga5
+ Revision: 726443
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-2.mga5
+ Revision: 679988
- Mageia 5 Mass Rebuild

* Sun Jun 22 2014 wally <wally> 1.2.1-1.mga5
+ Revision: 638733
- new version 1.2.1

* Sat May 31 2014 pterjan <pterjan> 1.1.90-3.mga5
+ Revision: 628241
- Rebuild for new Python

* Fri Nov 08 2013 wally <wally> 1.1.90-2.mga4
+ Revision: 549973
- drop .la file

* Fri Nov 08 2013 wally <wally> 1.1.90-1.mga4
+ Revision: 549960
- new version 1.1.90
- clean .spec for gstreamer1.0 version
- rename pkg as gstreamer1.0-python

* Fri Oct 18 2013 umeabot <umeabot> 0.10.22-4.mga4
+ Revision: 505302
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.10.22-3.mga3
+ Revision: 352751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 0.10.22-2.mga3
+ Revision: 338652
- patch2: fix build with automake 1.13

* Sun Oct 30 2011 fwang <fwang> 0.10.22-1.mga2
+ Revision: 160009
- new version 0.10.22

* Sun Jan 23 2011 wally <wally> 0.10.21-2.mga1
+ Revision: 33568
- remove old py_requires macro
- imported package gstreamer0.10-python

